# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'stripDetailsDialog.ui'
#
# Created by: PyQt5 UI code generator 5.14.1
#
# WARNING! All changes made in this file will be lost!


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_stripDetailsDialog(object):
    def setupUi(self, stripDetailsDialog):
        stripDetailsDialog.setObjectName("stripDetailsDialog")
        stripDetailsDialog.resize(703, 467)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(stripDetailsDialog)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.stripInfo_box = QtWidgets.QGroupBox(stripDetailsDialog)
        self.stripInfo_box.setEnabled(True)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.stripInfo_box.sizePolicy().hasHeightForWidth())
        self.stripInfo_box.setSizePolicy(sizePolicy)
        self.stripInfo_box.setObjectName("stripInfo_box")
        self.gridLayout = QtWidgets.QGridLayout(self.stripInfo_box)
        self.gridLayout.setObjectName("gridLayout")
        self.label_3 = QtWidgets.QLabel(self.stripInfo_box)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 3, 0, 1, 1)
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.TAS_enable = QtWidgets.QCheckBox(self.stripInfo_box)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.TAS_enable.sizePolicy().hasHeightForWidth())
        self.TAS_enable.setSizePolicy(sizePolicy)
        self.TAS_enable.setObjectName("TAS_enable")
        self.horizontalLayout_5.addWidget(self.TAS_enable)
        self.TAS_edit = SpeedEditWidget(self.stripInfo_box)
        self.TAS_edit.setEnabled(False)
        self.TAS_edit.setObjectName("TAS_edit")
        self.horizontalLayout_5.addWidget(self.TAS_edit)
        self.gridLayout.addLayout(self.horizontalLayout_5, 5, 4, 1, 3)
        self.label_8 = QtWidgets.QLabel(self.stripInfo_box)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_8.sizePolicy().hasHeightForWidth())
        self.label_8.setSizePolicy(sizePolicy)
        self.label_8.setObjectName("label_8")
        self.gridLayout.addWidget(self.label_8, 7, 0, 1, 1)
        self.autoFillWTC_button = QtWidgets.QToolButton(self.stripInfo_box)
        self.autoFillWTC_button.setFocusPolicy(QtCore.Qt.ClickFocus)
        self.autoFillWTC_button.setCheckable(True)
        self.autoFillWTC_button.setChecked(True)
        self.autoFillWTC_button.setObjectName("autoFillWTC_button")
        self.gridLayout.addWidget(self.autoFillWTC_button, 1, 2, 1, 1)
        self.wakeTurbCat_select = QtWidgets.QComboBox(self.stripInfo_box)
        self.wakeTurbCat_select.setObjectName("wakeTurbCat_select")
        self.wakeTurbCat_select.addItem("")
        self.wakeTurbCat_select.setItemText(0, "")
        self.wakeTurbCat_select.addItem("")
        self.wakeTurbCat_select.addItem("")
        self.wakeTurbCat_select.addItem("")
        self.wakeTurbCat_select.addItem("")
        self.gridLayout.addWidget(self.wakeTurbCat_select, 1, 5, 1, 2)
        spacerItem = QtWidgets.QSpacerItem(10, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout.addItem(spacerItem, 0, 3, 1, 1)
        self.depAirportName_info = QtWidgets.QLabel(self.stripInfo_box)
        font = QtGui.QFont()
        font.setItalic(True)
        self.depAirportName_info.setFont(font)
        self.depAirportName_info.setObjectName("depAirportName_info")
        self.gridLayout.addWidget(self.depAirportName_info, 2, 4, 1, 3)
        self.comments_edit = QtWidgets.QPlainTextEdit(self.stripInfo_box)
        self.comments_edit.setTabChangesFocus(True)
        self.comments_edit.setPlainText("")
        self.comments_edit.setObjectName("comments_edit")
        self.gridLayout.addWidget(self.comments_edit, 7, 1, 1, 6)
        self.label_10 = QtWidgets.QLabel(self.stripInfo_box)
        self.label_10.setObjectName("label_10")
        self.gridLayout.addWidget(self.label_10, 1, 4, 1, 1)
        self.aircraftType_edit = AircraftTypeCombo(self.stripInfo_box)
        self.aircraftType_edit.setEditable(True)
        self.aircraftType_edit.setObjectName("aircraftType_edit")
        self.gridLayout.addWidget(self.aircraftType_edit, 1, 1, 1, 1)
        self.callsign_edit = QtWidgets.QLineEdit(self.stripInfo_box)
        self.callsign_edit.setObjectName("callsign_edit")
        self.gridLayout.addWidget(self.callsign_edit, 0, 1, 1, 1)
        self.label_14 = QtWidgets.QLabel(self.stripInfo_box)
        self.label_14.setObjectName("label_14")
        self.gridLayout.addWidget(self.label_14, 4, 0, 1, 1)
        self.label_5 = QtWidgets.QLabel(self.stripInfo_box)
        self.label_5.setEnabled(True)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_5.sizePolicy().hasHeightForWidth())
        self.label_5.setSizePolicy(sizePolicy)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 0, 0, 1, 1)
        self.label_9 = QtWidgets.QLabel(self.stripInfo_box)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_9.sizePolicy().hasHeightForWidth())
        self.label_9.setSizePolicy(sizePolicy)
        self.label_9.setObjectName("label_9")
        self.gridLayout.addWidget(self.label_9, 0, 4, 1, 1)
        self.flightRules_select = QtWidgets.QComboBox(self.stripInfo_box)
        self.flightRules_select.setObjectName("flightRules_select")
        self.flightRules_select.addItem("")
        self.flightRules_select.setItemText(0, "")
        self.flightRules_select.addItem("")
        self.flightRules_select.addItem("")
        self.gridLayout.addWidget(self.flightRules_select, 0, 5, 1, 2)
        self.route_edit = RouteEditWidget(self.stripInfo_box)
        self.route_edit.setFocusPolicy(QtCore.Qt.StrongFocus)
        self.route_edit.setObjectName("route_edit")
        self.gridLayout.addWidget(self.route_edit, 4, 1, 1, 6)
        self.arrAirportName_info = QtWidgets.QLabel(self.stripInfo_box)
        font = QtGui.QFont()
        font.setItalic(True)
        self.arrAirportName_info.setFont(font)
        self.arrAirportName_info.setObjectName("arrAirportName_info")
        self.gridLayout.addWidget(self.arrAirportName_info, 3, 4, 1, 3)
        self.line_3 = QtWidgets.QFrame(self.stripInfo_box)
        self.line_3.setFrameShape(QtWidgets.QFrame.HLine)
        self.line_3.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_3.setObjectName("line_3")
        self.gridLayout.addWidget(self.line_3, 6, 0, 1, 7)
        self.depAirportPicker_widget = AirportPicker(self.stripInfo_box)
        self.depAirportPicker_widget.setFocusPolicy(QtCore.Qt.StrongFocus)
        self.depAirportPicker_widget.setObjectName("depAirportPicker_widget")
        self.gridLayout.addWidget(self.depAirportPicker_widget, 2, 1, 1, 2)
        self.label_2 = QtWidgets.QLabel(self.stripInfo_box)
        self.label_2.setEnabled(True)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_2.sizePolicy().hasHeightForWidth())
        self.label_2.setSizePolicy(sizePolicy)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.arrAirportPicker_widget = AirportPicker(self.stripInfo_box)
        self.arrAirportPicker_widget.setFocusPolicy(QtCore.Qt.StrongFocus)
        self.arrAirportPicker_widget.setObjectName("arrAirportPicker_widget")
        self.gridLayout.addWidget(self.arrAirportPicker_widget, 3, 1, 1, 2)
        self.matchingFPLs_button = QtWidgets.QToolButton(self.stripInfo_box)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.matchingFPLs_button.setFont(font)
        self.matchingFPLs_button.setFocusPolicy(QtCore.Qt.NoFocus)
        self.matchingFPLs_button.setAutoRaise(True)
        self.matchingFPLs_button.setObjectName("matchingFPLs_button")
        self.gridLayout.addWidget(self.matchingFPLs_button, 0, 2, 1, 1)
        self.label = QtWidgets.QLabel(self.stripInfo_box)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 2, 0, 1, 1)
        self.cruiseAlt_enable = QtWidgets.QCheckBox(self.stripInfo_box)
        self.cruiseAlt_enable.setObjectName("cruiseAlt_enable")
        self.gridLayout.addWidget(self.cruiseAlt_enable, 5, 0, 1, 1)
        self.cruiseAlt_edit = AltFlEditWidget(self.stripInfo_box)
        self.cruiseAlt_edit.setEnabled(False)
        self.cruiseAlt_edit.setFocusPolicy(QtCore.Qt.WheelFocus)
        self.cruiseAlt_edit.setObjectName("cruiseAlt_edit")
        self.gridLayout.addWidget(self.cruiseAlt_edit, 5, 1, 1, 2)
        self.label_5.raise_()
        self.callsign_edit.raise_()
        self.label_2.raise_()
        self.aircraftType_edit.raise_()
        self.label_8.raise_()
        self.comments_edit.raise_()
        self.line_3.raise_()
        self.label.raise_()
        self.label_3.raise_()
        self.depAirportName_info.raise_()
        self.arrAirportName_info.raise_()
        self.depAirportPicker_widget.raise_()
        self.label_14.raise_()
        self.arrAirportPicker_widget.raise_()
        self.route_edit.raise_()
        self.label_9.raise_()
        self.flightRules_select.raise_()
        self.label_10.raise_()
        self.wakeTurbCat_select.raise_()
        self.autoFillWTC_button.raise_()
        self.matchingFPLs_button.raise_()
        self.cruiseAlt_enable.raise_()
        self.cruiseAlt_edit.raise_()
        self.horizontalLayout.addWidget(self.stripInfo_box)
        self.line_4 = QtWidgets.QFrame(stripDetailsDialog)
        self.line_4.setFrameShape(QtWidgets.QFrame.VLine)
        self.line_4.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_4.setObjectName("line_4")
        self.horizontalLayout.addWidget(self.line_4)
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.rack_groupBox = QtWidgets.QGroupBox(stripDetailsDialog)
        self.rack_groupBox.setObjectName("rack_groupBox")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.rack_groupBox)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.rack_select = QtWidgets.QComboBox(self.rack_groupBox)
        self.rack_select.setObjectName("rack_select")
        self.verticalLayout_4.addWidget(self.rack_select)
        self.verticalLayout.addWidget(self.rack_groupBox)
        self.line_6 = QtWidgets.QFrame(stripDetailsDialog)
        self.line_6.setFrameShape(QtWidgets.QFrame.HLine)
        self.line_6.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_6.setObjectName("line_6")
        self.verticalLayout.addWidget(self.line_6)
        spacerItem1 = QtWidgets.QSpacerItem(20, 13, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        self.verticalLayout.addItem(spacerItem1)
        self.assignSquawkCode = QtWidgets.QGroupBox(stripDetailsDialog)
        self.assignSquawkCode.setCheckable(True)
        self.assignSquawkCode.setChecked(False)
        self.assignSquawkCode.setObjectName("assignSquawkCode")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.assignSquawkCode)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.xpdrCode_select = XpdrCodeSelectorWidget(self.assignSquawkCode)
        self.xpdrCode_select.setFocusPolicy(QtCore.Qt.StrongFocus)
        self.xpdrCode_select.setObjectName("xpdrCode_select")
        self.verticalLayout_3.addWidget(self.xpdrCode_select)
        self.verticalLayout.addWidget(self.assignSquawkCode)
        self.assignments_box = QtWidgets.QGroupBox(stripDetailsDialog)
        self.assignments_box.setEnabled(True)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.assignments_box.sizePolicy().hasHeightForWidth())
        self.assignments_box.setSizePolicy(sizePolicy)
        self.assignments_box.setObjectName("assignments_box")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.assignments_box)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.assignAltitude = QtWidgets.QCheckBox(self.assignments_box)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.assignAltitude.sizePolicy().hasHeightForWidth())
        self.assignAltitude.setSizePolicy(sizePolicy)
        self.assignAltitude.setObjectName("assignAltitude")
        self.gridLayout_2.addWidget(self.assignAltitude, 1, 0, 1, 1)
        self.assignedSpeed_edit = SpeedEditWidget(self.assignments_box)
        self.assignedSpeed_edit.setEnabled(False)
        self.assignedSpeed_edit.setObjectName("assignedSpeed_edit")
        self.gridLayout_2.addWidget(self.assignedSpeed_edit, 2, 1, 1, 1)
        self.assignedHeading_edit = HeadingEditWidget(self.assignments_box)
        self.assignedHeading_edit.setEnabled(False)
        self.assignedHeading_edit.setObjectName("assignedHeading_edit")
        self.gridLayout_2.addWidget(self.assignedHeading_edit, 0, 1, 1, 1)
        self.assignHeading = QtWidgets.QCheckBox(self.assignments_box)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.assignHeading.sizePolicy().hasHeightForWidth())
        self.assignHeading.setSizePolicy(sizePolicy)
        self.assignHeading.setObjectName("assignHeading")
        self.gridLayout_2.addWidget(self.assignHeading, 0, 0, 1, 1)
        self.assignSpeed = QtWidgets.QCheckBox(self.assignments_box)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.assignSpeed.sizePolicy().hasHeightForWidth())
        self.assignSpeed.setSizePolicy(sizePolicy)
        self.assignSpeed.setObjectName("assignSpeed")
        self.gridLayout_2.addWidget(self.assignSpeed, 2, 0, 1, 1)
        self.assignCruiseAlt_button = QtWidgets.QToolButton(self.assignments_box)
        self.assignCruiseAlt_button.setEnabled(False)
        self.assignCruiseAlt_button.setObjectName("assignCruiseAlt_button")
        self.gridLayout_2.addWidget(self.assignCruiseAlt_button, 1, 2, 1, 1)
        self.assignedAltitude_edit = AltFlEditWidget(self.assignments_box)
        self.assignedAltitude_edit.setEnabled(False)
        self.assignedAltitude_edit.setFocusPolicy(QtCore.Qt.WheelFocus)
        self.assignedAltitude_edit.setObjectName("assignedAltitude_edit")
        self.gridLayout_2.addWidget(self.assignedAltitude_edit, 1, 1, 1, 1)
        self.verticalLayout.addWidget(self.assignments_box)
        spacerItem2 = QtWidgets.QSpacerItem(230, 13, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout.addItem(spacerItem2)
        self.line_5 = QtWidgets.QFrame(stripDetailsDialog)
        self.line_5.setFrameShape(QtWidgets.QFrame.HLine)
        self.line_5.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_5.setObjectName("line_5")
        self.verticalLayout.addWidget(self.line_5)
        self.linksConflicts_box = QtWidgets.QGroupBox(stripDetailsDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.linksConflicts_box.sizePolicy().hasHeightForWidth())
        self.linksConflicts_box.setSizePolicy(sizePolicy)
        self.linksConflicts_box.setObjectName("linksConflicts_box")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.linksConflicts_box)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.xpdrConflicts_info = QtWidgets.QLabel(self.linksConflicts_box)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.xpdrConflicts_info.sizePolicy().hasHeightForWidth())
        self.xpdrConflicts_info.setSizePolicy(sizePolicy)
        self.xpdrConflicts_info.setObjectName("xpdrConflicts_info")
        self.gridLayout_3.addWidget(self.xpdrConflicts_info, 0, 1, 1, 1)
        self.label_6 = QtWidgets.QLabel(self.linksConflicts_box)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_6.sizePolicy().hasHeightForWidth())
        self.label_6.setSizePolicy(sizePolicy)
        self.label_6.setObjectName("label_6")
        self.gridLayout_3.addWidget(self.label_6, 0, 0, 1, 1)
        self.label_17 = QtWidgets.QLabel(self.linksConflicts_box)
        self.label_17.setObjectName("label_17")
        self.gridLayout_3.addWidget(self.label_17, 1, 0, 1, 1)
        self.fplConflicts_info = QtWidgets.QLabel(self.linksConflicts_box)
        self.fplConflicts_info.setObjectName("fplConflicts_info")
        self.gridLayout_3.addWidget(self.fplConflicts_info, 1, 1, 1, 1)
        self.verticalLayout.addWidget(self.linksConflicts_box)
        self.horizontalLayout.addLayout(self.verticalLayout)
        self.verticalLayout_2.addLayout(self.horizontalLayout)
        self.line_2 = QtWidgets.QFrame(stripDetailsDialog)
        self.line_2.setFrameShape(QtWidgets.QFrame.VLine)
        self.line_2.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_2.setObjectName("line_2")
        self.verticalLayout_2.addWidget(self.line_2)
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.fplLink_stackedWidget = QtWidgets.QStackedWidget(stripDetailsDialog)
        self.fplLink_stackedWidget.setObjectName("fplLink_stackedWidget")
        self.noFplLink_page = QtWidgets.QWidget()
        self.noFplLink_page.setObjectName("noFplLink_page")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.noFplLink_page)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.linkFPL_tickBox = QtWidgets.QCheckBox(self.noFplLink_page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.linkFPL_tickBox.sizePolicy().hasHeightForWidth())
        self.linkFPL_tickBox.setSizePolicy(sizePolicy)
        self.linkFPL_tickBox.setObjectName("linkFPL_tickBox")
        self.horizontalLayout_2.addWidget(self.linkFPL_tickBox)
        self.linkFPL_info = QtWidgets.QLabel(self.noFplLink_page)
        self.linkFPL_info.setObjectName("linkFPL_info")
        self.horizontalLayout_2.addWidget(self.linkFPL_info)
        self.linkFPL_reset_button = QtWidgets.QToolButton(self.noFplLink_page)
        self.linkFPL_reset_button.setObjectName("linkFPL_reset_button")
        self.horizontalLayout_2.addWidget(self.linkFPL_reset_button)
        spacerItem3 = QtWidgets.QSpacerItem(60, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem3)
        self.fplLink_stackedWidget.addWidget(self.noFplLink_page)
        self.gotFplLink_page = QtWidgets.QWidget()
        self.gotFplLink_page.setObjectName("gotFplLink_page")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout(self.gotFplLink_page)
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.label_12 = QtWidgets.QLabel(self.gotFplLink_page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_12.sizePolicy().hasHeightForWidth())
        self.label_12.setSizePolicy(sizePolicy)
        self.label_12.setObjectName("label_12")
        self.horizontalLayout_3.addWidget(self.label_12)
        self.linkedFPL_info = QtWidgets.QLabel(self.gotFplLink_page)
        self.linkedFPL_info.setObjectName("linkedFPL_info")
        self.horizontalLayout_3.addWidget(self.linkedFPL_info)
        self.pushToFPL_tickBox = QtWidgets.QCheckBox(self.gotFplLink_page)
        self.pushToFPL_tickBox.setEnabled(True)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pushToFPL_tickBox.sizePolicy().hasHeightForWidth())
        self.pushToFPL_tickBox.setSizePolicy(sizePolicy)
        self.pushToFPL_tickBox.setLayoutDirection(QtCore.Qt.RightToLeft)
        self.pushToFPL_tickBox.setCheckable(True)
        self.pushToFPL_tickBox.setChecked(False)
        self.pushToFPL_tickBox.setObjectName("pushToFPL_tickBox")
        self.horizontalLayout_3.addWidget(self.pushToFPL_tickBox)
        self.fplLink_stackedWidget.addWidget(self.gotFplLink_page)
        self.horizontalLayout_4.addWidget(self.fplLink_stackedWidget)
        self.cancel_button = QtWidgets.QPushButton(stripDetailsDialog)
        self.cancel_button.setObjectName("cancel_button")
        self.horizontalLayout_4.addWidget(self.cancel_button)
        self.save_button = QtWidgets.QPushButton(stripDetailsDialog)
        self.save_button.setDefault(True)
        self.save_button.setObjectName("save_button")
        self.horizontalLayout_4.addWidget(self.save_button)
        self.verticalLayout_2.addLayout(self.horizontalLayout_4)
        self.label_3.setBuddy(self.arrAirportPicker_widget)
        self.label_8.setBuddy(self.comments_edit)
        self.label_10.setBuddy(self.wakeTurbCat_select)
        self.label_14.setBuddy(self.route_edit)
        self.label_5.setBuddy(self.callsign_edit)
        self.label_9.setBuddy(self.flightRules_select)
        self.label_2.setBuddy(self.aircraftType_edit)
        self.label.setBuddy(self.depAirportPicker_widget)
        self.linkFPL_info.setBuddy(self.linkFPL_reset_button)

        self.retranslateUi(stripDetailsDialog)
        self.fplLink_stackedWidget.setCurrentIndex(0)
        self.assignHeading.toggled['bool'].connect(self.assignedHeading_edit.setEnabled)
        self.assignSpeed.toggled['bool'].connect(self.assignedSpeed_edit.setEnabled)
        self.cancel_button.clicked.connect(stripDetailsDialog.reject)
        self.TAS_enable.toggled['bool'].connect(self.TAS_edit.setEnabled)
        self.TAS_enable.toggled['bool'].connect(self.TAS_edit.setFocus)
        self.assignHeading.toggled['bool'].connect(self.assignedHeading_edit.setFocus)
        self.assignSpeed.toggled['bool'].connect(self.assignedSpeed_edit.setFocus)
        self.assignSquawkCode.toggled['bool'].connect(self.xpdrCode_select.setFocus)
        self.linkFPL_tickBox.toggled['bool'].connect(self.linkFPL_reset_button.setEnabled)
        self.assignAltitude.toggled['bool'].connect(self.assignedAltitude_edit.setEnabled)
        self.assignAltitude.toggled['bool'].connect(self.assignedAltitude_edit.setFocus)
        self.cruiseAlt_enable.toggled['bool'].connect(self.cruiseAlt_edit.setEnabled)
        self.cruiseAlt_enable.toggled['bool'].connect(self.cruiseAlt_edit.setFocus)
        QtCore.QMetaObject.connectSlotsByName(stripDetailsDialog)
        stripDetailsDialog.setTabOrder(self.callsign_edit, self.aircraftType_edit)
        stripDetailsDialog.setTabOrder(self.aircraftType_edit, self.depAirportPicker_widget)
        stripDetailsDialog.setTabOrder(self.depAirportPicker_widget, self.arrAirportPicker_widget)
        stripDetailsDialog.setTabOrder(self.arrAirportPicker_widget, self.route_edit)
        stripDetailsDialog.setTabOrder(self.route_edit, self.cruiseAlt_enable)
        stripDetailsDialog.setTabOrder(self.cruiseAlt_enable, self.cruiseAlt_edit)
        stripDetailsDialog.setTabOrder(self.cruiseAlt_edit, self.flightRules_select)
        stripDetailsDialog.setTabOrder(self.flightRules_select, self.wakeTurbCat_select)
        stripDetailsDialog.setTabOrder(self.wakeTurbCat_select, self.TAS_enable)
        stripDetailsDialog.setTabOrder(self.TAS_enable, self.TAS_edit)
        stripDetailsDialog.setTabOrder(self.TAS_edit, self.comments_edit)
        stripDetailsDialog.setTabOrder(self.comments_edit, self.rack_select)
        stripDetailsDialog.setTabOrder(self.rack_select, self.assignSquawkCode)
        stripDetailsDialog.setTabOrder(self.assignSquawkCode, self.xpdrCode_select)
        stripDetailsDialog.setTabOrder(self.xpdrCode_select, self.assignHeading)
        stripDetailsDialog.setTabOrder(self.assignHeading, self.assignedHeading_edit)
        stripDetailsDialog.setTabOrder(self.assignedHeading_edit, self.assignAltitude)
        stripDetailsDialog.setTabOrder(self.assignAltitude, self.assignedAltitude_edit)
        stripDetailsDialog.setTabOrder(self.assignedAltitude_edit, self.assignCruiseAlt_button)
        stripDetailsDialog.setTabOrder(self.assignCruiseAlt_button, self.assignSpeed)
        stripDetailsDialog.setTabOrder(self.assignSpeed, self.assignedSpeed_edit)
        stripDetailsDialog.setTabOrder(self.assignedSpeed_edit, self.linkFPL_tickBox)
        stripDetailsDialog.setTabOrder(self.linkFPL_tickBox, self.linkFPL_reset_button)
        stripDetailsDialog.setTabOrder(self.linkFPL_reset_button, self.save_button)
        stripDetailsDialog.setTabOrder(self.save_button, self.cancel_button)
        stripDetailsDialog.setTabOrder(self.cancel_button, self.pushToFPL_tickBox)

    def retranslateUi(self, stripDetailsDialog):
        _translate = QtCore.QCoreApplication.translate
        stripDetailsDialog.setWindowTitle(_translate("stripDetailsDialog", "Strip details"))
        self.stripInfo_box.setTitle(_translate("stripDetailsDialog", "Strip info"))
        self.label_3.setText(_translate("stripDetailsDialog", "Destination:"))
        self.TAS_enable.setText(_translate("stripDetailsDialog", "TAS:"))
        self.label_8.setText(_translate("stripDetailsDialog", "Comments:"))
        self.autoFillWTC_button.setToolTip(_translate("stripDetailsDialog", "WTC auto-fill with type change"))
        self.autoFillWTC_button.setText(_translate("stripDetailsDialog", ">>"))
        self.wakeTurbCat_select.setItemText(1, _translate("stripDetailsDialog", "L"))
        self.wakeTurbCat_select.setItemText(2, _translate("stripDetailsDialog", "M"))
        self.wakeTurbCat_select.setItemText(3, _translate("stripDetailsDialog", "H"))
        self.wakeTurbCat_select.setItemText(4, _translate("stripDetailsDialog", "J"))
        self.depAirportName_info.setText(_translate("stripDetailsDialog", "##"))
        self.label_10.setText(_translate("stripDetailsDialog", "WTC:"))
        self.label_14.setText(_translate("stripDetailsDialog", "Route:"))
        self.label_5.setText(_translate("stripDetailsDialog", "Callsign:"))
        self.label_9.setText(_translate("stripDetailsDialog", "Rules:"))
        self.flightRules_select.setItemText(1, _translate("stripDetailsDialog", "IFR"))
        self.flightRules_select.setItemText(2, _translate("stripDetailsDialog", "VFR"))
        self.arrAirportName_info.setText(_translate("stripDetailsDialog", "##"))
        self.label_2.setText(_translate("stripDetailsDialog", "Aircraft type:"))
        self.matchingFPLs_button.setToolTip(_translate("stripDetailsDialog", "Matching flight plans today"))
        self.matchingFPLs_button.setText(_translate("stripDetailsDialog", "##"))
        self.label.setText(_translate("stripDetailsDialog", "Origin:"))
        self.cruiseAlt_enable.setText(_translate("stripDetailsDialog", "Cruise:"))
        self.rack_groupBox.setTitle(_translate("stripDetailsDialog", "Rack"))
        self.assignSquawkCode.setTitle(_translate("stripDetailsDialog", "Transponder code"))
        self.assignments_box.setTitle(_translate("stripDetailsDialog", "Assignments/vectors"))
        self.assignAltitude.setText(_translate("stripDetailsDialog", "Altitude/FL:"))
        self.assignHeading.setText(_translate("stripDetailsDialog", "Heading:"))
        self.assignSpeed.setText(_translate("stripDetailsDialog", "Speed:"))
        self.assignCruiseAlt_button.setToolTip(_translate("stripDetailsDialog", "Assign cruise altitude/FL"))
        self.assignCruiseAlt_button.setText(_translate("stripDetailsDialog", "⤒"))
        self.linksConflicts_box.setTitle(_translate("stripDetailsDialog", "Links/conflicts"))
        self.xpdrConflicts_info.setText(_translate("stripDetailsDialog", "##"))
        self.label_6.setText(_translate("stripDetailsDialog", "Transponder:"))
        self.label_17.setText(_translate("stripDetailsDialog", "Flight plan:"))
        self.fplConflicts_info.setText(_translate("stripDetailsDialog", "##"))
        self.linkFPL_tickBox.setText(_translate("stripDetailsDialog", "Link FPL on save:"))
        self.linkFPL_info.setText(_translate("stripDetailsDialog", "N/A"))
        self.linkFPL_reset_button.setToolTip(_translate("stripDetailsDialog", "Reset link to new FPL"))
        self.linkFPL_reset_button.setText(_translate("stripDetailsDialog", "..."))
        self.label_12.setText(_translate("stripDetailsDialog", "Flight plan link:"))
        self.linkedFPL_info.setText(_translate("stripDetailsDialog", "##"))
        self.pushToFPL_tickBox.setText(_translate("stripDetailsDialog", "Push details to FPL"))
        self.cancel_button.setText(_translate("stripDetailsDialog", "Cancel"))
        self.save_button.setText(_translate("stripDetailsDialog", "Save && close"))
from gui.widgets.basicWidgets import AircraftTypeCombo, AltFlEditWidget, HeadingEditWidget, SpeedEditWidget
from gui.widgets.miscWidgets import AirportPicker, XpdrCodeSelectorWidget
from gui.widgets.routeWidgets import RouteEditWidget
